Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model
Interface VTableControl

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedElement, VControl, VElement

All Known Implementing Classes:
  VTableControlImpl

    public interface VTableControl

extends VControl

A representation of the model object 'Control'.

The following features are supported:

- `Add Remove Disabled`
- `Column Configurations`
- `Detail Editing`
- `Detail View`
- `Enable Detail Editing Dialog`

See Also:
  `VTablePackage.getTableControl()`

Method Summary
`org.eclipse.emf.common.util.EList<VTableColumnConfiguration>` | `getColumnConfigurations()` Returns the value of the 'Column Configurations' containment reference list.
`DetailEditing` | `getDetailEditing()` Returns the value of the 'Detail Editing' attribute.
`VView` | `getDetailView()` Returns the value of the 'Detail View' containment reference.
`boolean` | `isAddRemoveDisabled()` Returns the value of the 'Add Remove Disabled' attribute.
`boolean` | `isEnableDetailEditingDialog()` Deprecated.
`void` | `setAddRemoveDisabled(boolean value)` Sets the value of the '`Add Remove Disabled`' attribute.
`void` | `setDetailEditing(DetailEditing value)` Sets the value of the '`Detail Editing`' attribute.
`void` | `setDetailView(VView value)` Sets the value of the '`Detail View`' containment reference.
`void` | `setEnableDetailEditingDialog(boolean value)` Deprecated.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VControl
`getDomainModelReference, getLabelAlignment, setDomainModelReference, setDomainModelReference, setDomainModelReference, setLabelAlignment`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isAddRemoveDisabled

    boolean isAddRemoveDisabled()

  Returns the value of the 'Add Remove Disabled' attribute. The default value is `"false"`.

  If the meaning of the 'Add Remove Disabled' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Add Remove Disabled' attribute.
  See Also:
    `setAddRemoveDisabled(boolean)`, `VTablePackage.getTableControl_AddRemoveDisabled()`

### setAddRemoveDisabled

    void setAddRemoveDisabled(boolean value)

  Sets the value of the '`Add Remove Disabled`' attribute.

  Parameters:
    `value` - the new value of the 'Add Remove Disabled' attribute.
  See Also:
    `isAddRemoveDisabled()`

### getColumnConfigurations

    org.eclipse.emf.common.util.EList<VTableColumnConfiguration> getColumnConfigurations()

  Returns the value of the 'Column Configurations' containment reference list. The list contents are of type `VTableColumnConfiguration`.

  If the meaning of the 'Column Configurations' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Configurations' containment reference list.
  See Also:
    `VTablePackage.getTableControl_ColumnConfigurations()`

### getDetailEditing

    DetailEditing getDetailEditing()

  Returns the value of the 'Detail Editing' attribute. The default value is `"None"`. The literals are from the enumeration `DetailEditing`.

  If the meaning of the 'Detail Editing' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Detail Editing' attribute.
  See Also:
    `DetailEditing`, `setDetailEditing(DetailEditing)`, `VTablePackage.getTableControl_DetailEditing()`

### setDetailEditing

    void setDetailEditing(DetailEditing value)

  Sets the value of the '`Detail Editing`' attribute.

  Parameters:
    `value` - the new value of the 'Detail Editing' attribute.
  See Also:
    `DetailEditing`, `getDetailEditing()`

### getDetailView

    VView getDetailView()

  Returns the value of the 'Detail View' containment reference.

  If the meaning of the 'Detail View' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Detail View' containment reference.
  See Also:
    `setDetailView(VView)`, `VTablePackage.getTableControl_DetailView()`

### setDetailView

    void setDetailView(VView value)

  Sets the value of the '`Detail View`' containment reference.

  Parameters:
    `value` - the new value of the 'Detail View' containment reference.
  See Also:
    `getDetailView()`

### isEnableDetailEditingDialog

    @Deprecated
    boolean isEnableDetailEditingDialog()

  Deprecated.

  Returns the value of the 'Enable Detail Editing Dialog' attribute. The default value is `"false"`.

  If the meaning of the 'Enable Detail Editing Dialog' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Enable Detail Editing Dialog' attribute.
  See Also:
    `setEnableDetailEditingDialog(boolean)`, `VTablePackage.getTableControl_EnableDetailEditingDialog()`

### setEnableDetailEditingDialog

    @Deprecated
    void setEnableDetailEditingDialog(boolean value)

  Deprecated.

  Sets the value of the '`Enable Detail Editing Dialog`' attribute.

  Parameters:
    `value` - the new value of the 'Enable Detail Editing Dialog' attribute.
  See Also:
    `isEnableDetailEditingDialog()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.